javax.faces.component.visit

## Class VisitContextWrapper

- java.lang.Object
- - javax.faces.component.visit.VisitContext
  - - javax.faces.component.visit.VisitContextWrapper

- All Implemented Interfaces:
    FacesWrapper<VisitContext>

      public abstract class VisitContextWrapper
      extends VisitContext
      implements FacesWrapper<VisitContext>

  Provides a simple implementation of `VisitContext` that can be subclassed by developers wishing to provide specialized behavior to an existing `VisitContext` instance. The default implementation of all methods is to call through to the wrapped `VisitContext` instance.

  Usage: extend this class and override `getWrapped()` to return the instance we are wrapping.

  Since:
    2.0

- - ### Field Summary

    - ### Fields inherited from class javax.faces.component.visit.VisitContext

      `ALL_IDS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VisitContextWrapper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FacesContext` | `getFacesContext()` Returns the FacesContext for the current request.
    `Set<VisitHint>` | `getHints()` Returns hints that influence the behavior of the tree visit.
    `Collection<String>` | `getIdsToVisit()` Returns the ids of the components to visit.
    `Collection<String>` | `getSubtreeIdsToVisit(UIComponent component)` Given a `NamingContainer` component, returns the client ids of any components underneath the NamingContainer that should be visited.
    `abstract VisitContext` | `getWrapped()` A class that implements this interface uses this method to return an instance of the class being wrapped.
    `VisitResult` | `invokeVisitCallback(UIComponent component, VisitCallback callback)` Called by `UIComponent.visitTree()` to visit a single component.

    - ### Methods inherited from class javax.faces.component.visit.VisitContext

      `createVisitContext, createVisitContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VisitContextWrapper

          public VisitContextWrapper()

  - ### Method Detail

    - #### getFacesContext

          public FacesContext getFacesContext()

      Description copied from class: `VisitContext`

      Returns the FacesContext for the current request.

      Specified by:
        `getFacesContext` in class `VisitContext`

    - #### getHints

          public Set<VisitHint> getHints()

      Description copied from class: `VisitContext`

      Returns hints that influence the behavior of the tree visit.

      Interested parties, such as `UIComponent.visitTree()` implementations, may check to see whether a particular hint is present by calling `VisitContext.getHints().contains()`, passing in one of the hints defined by `VisitHint`.

      Specified by:
        `getHints` in class `VisitContext`
      Returns:
        a non-empty, unmodifiable collection of VisitHints

    - #### getIdsToVisit

          public Collection<String> getIdsToVisit()

      Description copied from class: `VisitContext`

      Returns the ids of the components to visit.

      In the case of a full tree visit, this method returns the ALL_IDS collection. Otherwise, if a partial visit is beign performed, returns a modifiable collection containing the client ids of the components that should be visited.

      Specified by:
        `getIdsToVisit` in class `VisitContext`

    - #### getSubtreeIdsToVisit

          public Collection<String> getSubtreeIdsToVisit(UIComponent component)

      Description copied from class: `VisitContext`

      Given a `NamingContainer` component, returns the client ids of any components underneath the NamingContainer that should be visited.

      This method is called by NamingContainer visitTree() implementations to determine whether the NamingContainer contains components to be visited. In the case where no such components exist, the NamingContainer can short-circuit the tree visit and avoid descending into child subtrees.

      In addition, iterating components such as UIData may be able to use the returned ids to determine which iterated states (ie. rows) need to be visited. This allows the visit traversal to be contstrained such only those rows that contain visit targets need to be traversed.

      Specified by:
        `getSubtreeIdsToVisit` in class `VisitContext`
      Parameters:
        `component` - a NamingContainer component
      Returns:
        an unmodifiable Collection containing the client ids of any components underneath the NamingContainer that are known to be targets of the tree visit. If no such components exist, returns an empty Collection. If all components underneath the NamingContainer should be visited, returns the `VisitContext.ALL_IDS` collection.

    - #### invokeVisitCallback

          public VisitResult invokeVisitCallback(UIComponent component,
                                        VisitCallback callback)

      Description copied from class: `VisitContext`

      Called by `UIComponent.visitTree()` to visit a single component.

      Specified by:
        `invokeVisitCallback` in class `VisitContext`
      Parameters:
        `component` - the component to visit
        `callback` - the VisitCallback to call
      Returns:
        a VisitResult value that indicates whether to continue visiting the component's subtree, skip visiting the component's subtree or abort the visit altogether.

    - #### getWrapped

          public abstract VisitContext getWrapped()

      Description copied from interface: `FacesWrapper`

      A class that implements this interface uses this method to return an instance of the class being wrapped.

      Specified by:
        `getWrapped` in interface `FacesWrapper<VisitContext>`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.